var translations = {
    noconnection: {
        en: {
            "error-header": "No network connection",
            "error-row1": "Could not connect to the network.",
            "error-row2": "Please check your connection and try again.",
            "error-button": "Try again"
        }
    },
    nodiskspace: {
        en: {
            "error-header": "Low disk space",
            "error-row1": "There is insufficient space on your device.",
            "error-row2": "Delete some applications, photos or videos to continue.",
            "error-button": "Ok"
        }
    },
    general: {
        en: {
            "error-header": "Application error",
            "error-row1": "Application couldn't be loaded correctly.",
            "error-row2": "Please try again.",
            "error-button": "Try again"
        },
        de: {
            "error-header": "Anwendungsfehler",
            "error-row1": "Anwendung konnte nicht korrekt geladen werden.",
            "error-row2": "Bitte versuche es erneut.",
            "error-button": "Erneut versuchen"
        },
        es: {
            "error-header": "Error en la aplicación",
            "error-row1": "No se pudo cargar la aplicación correctamente.",
            "error-row2": "Inténtalo de nuevo.",
            "error-button": "Inténtalo de nuevo"
        },
        fr: {
            "error-header": "Erreur application",
            "error-row1": "L'application n'a pas pu être chargée convenablement.",
            "error-row2": "Veuillez réessayer.",
            "error-button": "Réessayer"
        },
        it: {
            "error-header": "Errore di caricamento",
            "error-row1": "Impossibile caricare l'applicazione.",
            "error-row2": "Prova di nuovo.",
            "error-button": "Riprova"
        },
        ja: {
            "error-header": "アプリケーションエラー",
            "error-row1": "アプリケーションの読み込みに失敗しました。",
            "error-row2": "もう一度お試しください。",
            "error-button": "もう一度お試しください"
        },
        pl: {
            "error-header": "Błąd aplikacji",
            "error-row1": "Nie udało się wczytać aplikacji.",
            "error-row2": "Spróbuj ponownie.",
            "error-button": "Spróbuj ponownie"
        },
        pt: {
            "error-header": "Erro do aplicativo",
            "error-row1": "O aplicativo não carregou corretamente.",
            "error-row2": "Tente de novo.",
            "error-button": "Tente de novo"
        },
        ru: {
            "error-header": "Ошибка приложения",
            "error-row1": "Приложение не было загружено правильно.",
            "error-row2": "Попробуйте еще раз.",
            "error-button": "Попробовать еще раз"
        }
    }
};

function getParameterByName (name) {
    name = name.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
    var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
        results = regex.exec(location.search);
    return results === null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
}

window.onload = function () {
    var lang = getParameterByName("lang");
    var errorCode = getParameterByName("error") || "general";
    var errorTranslations = translations[errorCode] || translations["general"];
    var t = errorTranslations[lang] || errorTranslations["en"];

    document.getElementById("error-header").innerHTML = t["error-header"];
    document.getElementById("error-row1").innerHTML = t["error-row1"];
    document.getElementById("error-row2").innerHTML = t["error-row2"];
    document.getElementById("error-button").innerHTML = t["error-button"];
};
